Subject: Re: compatibility issue between 1.6 and -current
To: Chuck Silvers , <>
From: John Klos <>
List: port-powerpc
Date: 11/24/2002 21:20:49

> I upgraded my test machine to -current userland today and I found
> that a 1.6 kernel can't even start the new /sbin/init, it gets EFAULT.
> does anyone else see this?

I've tried running 1.6-current on a PowerMac, and init wouldn't run, but
since I do not have a full-time -current machine, I didn't look into this
much. I even tried some older snapshots from releng with no luck (I was
hoping to find out where it broke, but releng didn't have snapshots which
were old enough).

I ended up sticking with a 1.6 release userland and just using the
compiler set from -current with a -current kernel.

John Klos
Sixgirls Computing Labs